import React from "react";
import { Column, Row } from "../../assets/master.js";
import { Story, Meta } from "@storybook/react";
import Navbar from "./Navbar";
import { NavbarProps } from "./types";

export default {
  title: "Marbella/Navbar",
  component: Navbar,
  argTypes: {},
} as Meta<typeof Navbar>;

const Template: Story<NavbarProps> = (args) => (
  <Navbar {...args}>
    <Row>
      <h1>Navbar</h1>
    </Row>
  </Navbar>
);

export const Primary = Template.bind({});
Primary.args = {};
