import styled from "styled-components";

//Base
export const Wrapper = styled.div`
  padding: 1em;
  background: papayawhip; //Get fromaster
  width: 100%;
`;

//Variant (extends/overwrites original)
export const Row = styled(Wrapper)`
  display: flex;
  flex-direction: row;
  height: 100%;
  gap: 0.5rem;
`;
export const Column = styled(Wrapper)`
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
`;
